Get a metric
curl --request GET \
--url https://api.passu.ai/v1/metrics/{metric_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.passu.ai/v1/metrics/{metric_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.passu.ai/v1/metrics/{metric_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.passu.ai/v1/metrics/{metric_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.passu.ai/v1/metrics/{metric_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.passu.ai/v1/metrics/{metric_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.passu.ai/v1/metrics/{metric_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metric_type": "FINANCIAL_LINE_ITEM",
"updated_at": "2023-11-07T05:31:56Z",
"value": 123,
"attributes": {},
"quotes": [
{
"quote_type": "TEXT",
"fact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"author": "<string>",
"title": "<string>",
"table_name": "<string>",
"row_names": [
"<string>"
]
}
],
"portfolio_holding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issuer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"industry": "CORPORATE_GROUP",
"business_description": "<string>",
"company_structure": {
"legal_entities": [
"<string>"
],
"entity_roles": {},
"company_links": [
{
"subject": "<string>",
"relationship": "HAS_BUSINESS_NAME",
"object": "<string>",
"citations": [
{
"kind": "WEB",
"title": "<string>",
"passages": [
"<string>"
],
"url": "<string>",
"published_at": "2023-11-07T05:31:56Z"
}
]
}
]
}
},
"facility": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"seniority": "FIRST_LIEN",
"security_type": "TERM_LOAN",
"currency": "USD"
},
"holding": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"facility_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acquisition_dates": [
{
"value": "2023-12-25",
"precision": "DAY",
"source_metric_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"acquisition_date_quotes": [
{
"quote_type": "TEXT",
"chunk_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"author": "<string>",
"title": "<string>"
}
]
},
"reporting_period": {
"period_end": "2023-12-25",
"calendar_year": 123,
"calendar_quarter": 123,
"is_standard_period_end": true
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}metrics
Get a metric
Retrieve a single metric by id.
GET
/
v1
/
metrics
/
{metric_id}
Get a metric
curl --request GET \
--url https://api.passu.ai/v1/metrics/{metric_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.passu.ai/v1/metrics/{metric_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.passu.ai/v1/metrics/{metric_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.passu.ai/v1/metrics/{metric_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.passu.ai/v1/metrics/{metric_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.passu.ai/v1/metrics/{metric_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.passu.ai/v1/metrics/{metric_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metric_type": "FINANCIAL_LINE_ITEM",
"updated_at": "2023-11-07T05:31:56Z",
"value": 123,
"attributes": {},
"quotes": [
{
"quote_type": "TEXT",
"fact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"author": "<string>",
"title": "<string>",
"table_name": "<string>",
"row_names": [
"<string>"
]
}
],
"portfolio_holding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issuer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"industry": "CORPORATE_GROUP",
"business_description": "<string>",
"company_structure": {
"legal_entities": [
"<string>"
],
"entity_roles": {},
"company_links": [
{
"subject": "<string>",
"relationship": "HAS_BUSINESS_NAME",
"object": "<string>",
"citations": [
{
"kind": "WEB",
"title": "<string>",
"passages": [
"<string>"
],
"url": "<string>",
"published_at": "2023-11-07T05:31:56Z"
}
]
}
]
}
},
"facility": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"seniority": "FIRST_LIEN",
"security_type": "TERM_LOAN",
"currency": "USD"
},
"holding": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"facility_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acquisition_dates": [
{
"value": "2023-12-25",
"precision": "DAY",
"source_metric_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"acquisition_date_quotes": [
{
"quote_type": "TEXT",
"chunk_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"author": "<string>",
"title": "<string>"
}
]
},
"reporting_period": {
"period_end": "2023-12-25",
"calendar_year": 123,
"calendar_quarter": 123,
"is_standard_period_end": true
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Add a uniquely resolved reporting_period when available.
Allowed value:
"calendar"Response
Successful Response
Discriminator for the metric single-table hierarchy.
Available options:
FINANCIAL_LINE_ITEM, LEVERAGE_TARGET, CURRENT_LEVERAGE, CAPITAL_ALLOCATION_PRIORITY, LIQUIDITY, PIK_INCOME, PIK_COLLECTIONS, FIRST_LIEN_SHARE, NON_ACCRUAL_SHARE, FLOATING_RATE_SHARE, CORPORATE_DEBT_RATE_EXPOSURE, SPILLOVER_INCOME, UNDISTRIBUTED_NII, INDUSTRY_EXPOSURE, RETURN_ON_EQUITY, CHEMICALS_VOLUME, CHEMICALS_CAPACITY_UTILIZATION, PRODUCT_SEGMENT_MIX, END_MARKET_EXPOSURE, CUSTOMER_CONCENTRATION, GEOGRAPHIC_EXPOSURE, MAINTENANCE_GROWTH_CAPEX_SPLIT, PRIMARY_INPUT_COST_DRIVERS, PRODUCTION_VOLUME, CASH_OPERATING_COST, PROVED_RESERVES, REALIZED_PRICE_HEDGE, STATED_BREAKEVEN, RATE_BASE_CAPEX_PLAN, COMMS_SUBSCRIBERS_NET_ADDS, COMMS_ARPU_ARPA, COMMS_CHURN, COMMS_NETWORK_FOOTPRINT, DEBT_TO_CAPITAL, HOMEBUILDING_GROSS_MARGIN, NAV_GAV, TOTAL_LIABILITIES, SHARES_OUTSTANDING, PORTFOLIO_HOLDING Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
One uniquely resolved calendar placement for a source-native label.
Show child attributes
Show child attributes